Bug 87971 - Won't allow upgrade from 7.3 to 9
Won't allow upgrade from 7.3 to 9
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-04-03 22:18 EST by Chris Dos
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-29 16:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Dos 2003-04-03 22:18:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
A RedHat 7.3 install exists on a IBM Thinkpad A31P.  During the installation of
RedHat 9, no upgrade is possible.  RedHat 9 cannot find the RedHat 7.3
installation to allow a upgrade.  RedHat 8.0 finds the installation and allows
an upgrade.  RedHat 9.0 can't find the 8.0 installation either.  RedHat 9.0 in
rescue mode can't find the Red Hat 7.3 installation either.

Version-Release number of selected component (if applicable):
RedHat Linux 9

How reproducible:

Steps to Reproduce:

Expected Results:  RedHat 9 finds the previous installation and allows an upgrade.

Additional info:

LABEL=/        /                       ext3    defaults        1 1
LABEL=/boot    /boot                   ext3    defaults        1 2
/dev/hda2      /win                    vfat    uid=500,gid=500 1 0

fdisk /dev/hda:
Disk /dev/hda: 240 heads, 63 sectors, 7752 cylinders
Units = cylinders of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1         7     52888+  83  Linux
/dev/hda2             9      2717  20480040    c  Win95 FAT32 (LBA)
/dev/hda3          2719      7683  37535400   83  Linux
/dev/hda4          7684      7752    521640   82  Linux swap

I do have 7 MB space before and after my Windows 2000 installation.  Maybe that
is confusing it.  When I've had Windows NT/2000 think the partition size is
slightly different then what Linux reports and I've had it stomp on the very
beginning on my Linux parition.  Hense, I always have a space between paritions.
Comment 1 David Hollis 2003-04-04 06:58:13 EST
Did you alter the contents of /etc/redhat-release?  The RELEASE-NOTES mention
that the OS detection is based on the contents of that file and if it is
modified, upgrades may not available.
Comment 2 Chris Dos 2003-04-04 14:50:58 EST
Five months ago I did upgrade to 8.0, but I though 7.3 was still better, so I
downgraded back to 7.3 which turned out to be a several hour task.  But I made
it happen.  I looked at /etc/redhat-release and it contains the following:
Red Hat Linux release 7.3 (Valhalla)

The MD5sum is 17961197ff42549ed3935aacf438833c and that turns out to be the same
value on a stock Red Hat 7.3 install.

Red Hat 8.0 will find my previous installation find and offer to upgrade.

Thanks for you help in this matter.
Comment 3 Chris Dos 2003-04-04 15:09:50 EST
I just tried the install again using the "linux upgradeany" when booting the
install CD.  RedHat 9 still could not identify my Red Hat installation and
provide me with an upgrade option.
Comment 4 Michael Fulbright 2003-04-04 16:19:33 EST
If you use the upgradeany option does the dialog pop up saying it is looking for
previous installations?
Comment 5 Chris Dos 2003-04-04 17:07:16 EST
I think so.  I did it twice just to make sure I didn't mistype the "upgradeany"
option.  In the standard install without the "upgradeany" option, the dialog
pops up saying it's looking for previous installations.
Comment 6 Chris Dos 2003-04-07 14:58:14 EDT
You can delete this bug.  I've moved to Debian.  Thanks for you effort though. 
I appreciate it.

Note You need to log in before you can comment on or make changes to this bug.